using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win;
using System.Diagnostics;
using Infragistics.Shared;
using System.IO;
using Infragistics.Win.AppStyling;
using Infragistics.Win.UltraWinEditors;
using System.Collections;
using System.Text;
using Infragistics.Win.UltraWinProgressBar;


namespace MemDataTable_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private DataTable dt1;

        private void Form1_Load(object sender, System.EventArgs e)
        {
            dt1 = DummyDataCreator.GetData(10, new Type[] {typeof (DateTime) });

            dt1.TableName = "Band 0";

            this.ultraGrid1.SetDataBinding(dt1, null);
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridLayout layout = e.Layout;
            UltraGridBand band = layout.Bands[0];
            UltraGridOverride ov = layout.Override;

            var editorColumn = band.Columns["DateTime 1"];

            editorColumn.EditorComponent = new UltraDateTimeEditor
                {
                    FormatProvider = new System.Globalization.CultureInfo("fr-FR"),
                    FormatString = "dd/MM/yyyy hh:mm:ss",
                    MaskInput = "dd/mm/yyyy hh:mm:ss",
                    Name = "udteMaxDateValue",
                    Tag = "Removable Control",
                    NullText = "Select end date",
                    TabIndex = 8,
                    Value = null
                };
        }
    }
}